commit: e96d5140e13a08443b636aac0ab73edd02fea2b0
Author: Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 19 01:31:15 2016 +0000
Commit: Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Mon Sep 19 01:32:50 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e96d5140
dev-python/async_timeout: add package
Package-Manager: portage-2.3.0
dev-python/async_timeout/Manifest | 1 +
.../async_timeout/async_timeout-1.0.0.ebuild | 27 ++++++++++++++++++++++
dev-python/async_timeout/metadata.xml | 11 +++++++++
3 files changed, 39 insertions(+)
diff --git a/dev-python/async_timeout/Manifest
b/dev-python/async_timeout/Manifest
new file mode 100644
index 00000000..bc922f8
--- /dev/null
+++ b/dev-python/async_timeout/Manifest
@@ -0,0 +1 @@
+DIST async_timeout-1.0.0.tar.gz 7554 SHA256
c7afd7355b93fca0aecc15811aa53eea57f6fd7307b5bff2336b01419ebeda36 SHA512
b02fa2f9558d23e6e1cc076f8d144dcfee7adeaad67c023ce747c99935c2809e2a2223f72b0a12274f11bacadc9b69a6bc3a2914c305ef05d483dc29908e9c97
WHIRLPOOL
4f2fb79330827e17acfb141fcc846207cfee303321367921e08d5c1da7a5e0ce496774e92ac81b84b7d773eb6d83c4f702c9a41d04ae0b7a2663f32d8bd1a12c
diff --git a/dev-python/async_timeout/async_timeout-1.0.0.ebuild
b/dev-python/async_timeout/async_timeout-1.0.0.ebuild
new file mode 100644
index 00000000..90110e5
--- /dev/null
+++ b/dev-python/async_timeout/async_timeout-1.0.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=6
+PYTHON_COMPAT=( python3_{4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Timeout context manager for asyncio programs"
+HOMEPAGE="https://github.com/aio-libs/async_timeout/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+# tests introduce a circular dependency on aiohttp
+RESTRICT="test"
+
+DEPEND="dev-python/pytest-runner[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]"
+
+python_test() {
+ esetup.py test || die
+}
diff --git a/dev-python/async_timeout/metadata.xml
b/dev-python/async_timeout/metadata.xml
new file mode 100644
index 00000000..94ccc65
--- /dev/null
+++ b/dev-python/async_timeout/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <upstream>
+ <remote-id type="pypi">async_timeout</remote-id>
+ <remote-id type="github">aio-libs/async_timeout</remote-id>
+ </upstream>
+ <maintainer type="person">
+ <email>[email protected]</email>
+ </maintainer>
+</pkgmetadata>